#ifndef _LINUX_KERNEL_H
#define _LINUX_KERNEL_H

#ifdef __KERNEL__

#include <linux/linkage.h>

# define NORET_TYPE    /**/
# define NORET_AND     noreturn,

extern void math_error(void);

NORET_TYPE void panic(const char * fmt, ...)
	__attribute__ ((NORET_AND format (printf, 1, 2)));

asmlinkage int printk(const char * fmt, ...)
	__attribute__ ((format (printf, 1, 2)));

#endif /* __KERNEL__ */

#endif
